SmlSession Struct Reference
Collaboration diagram for SmlSession:

## Data Fields

gint | refCount
SmlProtocolVersion | version
SmlProtocolType | protocol
SmlSessionType | sessionType
SmlAssembler * | assembler
SmlBool | onlyReplace
SmlSessionEventCallback | eventCallback
void * | eventCallbackUserdata
SmlSessionDataCallback | dataCallback
void * | dataCallbackUserdata
char * | sessionID
SmlLocation * | target
SmlLocation * | orgTarget
SmlLocation * | source
char * | responseURI
SmlChal * | chal
SmlCred * | cred
unsigned int | localMaxMsgSize
unsigned int | localMaxObjSize
GList * | pendingReplies
unsigned long | lastMessageID
unsigned long | lastReceivedMessageID
unsigned long | lastCommandID
GList * | commands
SmlBool | final
SmlBool | authenticate
SmlBool | established
SmlMimeType | type
SmlQueue * | command_queue
SmlBool | waiting
SmlBool | sending
GList * | commandStack
SmlBool | hasCommand
SmlBool | assmHasHeader
SmlBool | end
GMutex * | reportEnd
SmlBool | reportedEnd
SmlCommand * | parentCommand
SmlCommand * | incomingBuffer
SmlCommand * | frag_command
unsigned int | frag_size
SmlStatusReplyCb | frag_callback
void * | frag_userdata
SmlBool | active
GMutex * | dispatch_mutex

## Detailed Description

Definition at line 27 of file sml_session_internals.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/sml_session_internals.h